Altibase.jdbc.driver.util

## Class StringUtils

- java.lang.Object
- - Altibase.jdbc.driver.util.StringUtils

    public final class StringUtils
    extends java.lang.Object

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `compareIgnoreCase(java.lang.String aStr1, int aStartIdx1, java.lang.String aStr2)` 대소문자 구별없이, 두 문자열을 비교한다.
`static int` `compareIgnoreCase(java.lang.String aStr1, int aStartIdx1, java.lang.String aStr2, int aStartIdx2, int aLength)` 대소문자 구별없이, 두 문자열을 비교한다.
`static int` `compareIgnoreCase(java.lang.String aStr1, java.lang.String aStr2)` 대소문자 구별없이, 두 문자열을 비교한다.
`static boolean` `endsWithIgnoreCase(java.lang.String aSrcStr, java.lang.String aEndsStr)` 대소문자 구별없이, ends string으로 끝나는지 확인한다.
`static boolean` `isEmpty(java.lang.String aStr)` 문자열이 null이거나 비었는지 확인한다.
`static boolean` `startsWithIgnoreCase(java.lang.String aSrcStr, int aStartIdx, java.lang.String aStartsStr)` 대소문자 구별없이, 두 문자열을 비교한다.
`static boolean` `startsWithIgnoreCase(java.lang.String aSrcStr, java.lang.String aStartsStr)` 대소문자 구별없이, starts string으로 시작하는지 확인한다.
`static java.lang.String` `validateFilePath(java.lang.String aFilePath)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isEmpty

    public static boolean isEmpty(java.lang.String aStr)

문자열이 null이거나 비었는지 확인한다.

Parameters:
  `aStr` - 확인할 문자열
Returns:
  null 또는 길이가 0인 문자열인지 여부

#### startsWithIgnoreCase

    public static boolean startsWithIgnoreCase(java.lang.String aSrcStr,
                                               java.lang.String aStartsStr)

대소문자 구별없이, starts string으로 시작하는지 확인한다.

Parameters:
  `aSrcStr` - 확인할 문자열
  `aStartsStr` - 시작 문자열
Returns:
  starts string으로 시작하면 true, 아니면 false

#### startsWithIgnoreCase

    public static boolean startsWithIgnoreCase(java.lang.String aSrcStr,
                                               int aStartIdx,
                                               java.lang.String aStartsStr)

대소문자 구별없이, 두 문자열을 비교한다.

Parameters:
  `aSrcStr` - 확인할 문자열
  `aStartIdx` - 확인할 문자열에서 비교를 시작할 위치(0 base)
  `aStartsStr` - 시작 문자열
Returns:
  start string으로 시작하면 true, 아니면 false

#### endsWithIgnoreCase

    public static boolean endsWithIgnoreCase(java.lang.String aSrcStr,
                                             java.lang.String aEndsStr)

대소문자 구별없이, ends string으로 끝나는지 확인한다.

Parameters:
  `aSrcStr` - 확인할 문자열
  `aEndsStr` - 끝 문자열
Returns:
  ends string으로 끝나면 true, 아니면 false

#### compareIgnoreCase

    public static int compareIgnoreCase(java.lang.String aStr1,
                                        java.lang.String aStr2)

대소문자 구별없이, 두 문자열을 비교한다.

Parameters:
  `aStr1` - 문자열 1
  `aStr2` - 문자열 2
Returns:
  같으면 0, aStr1이 크거나 aStr2를 모두 포함하면서 길면 양수, 아니면 음수

#### compareIgnoreCase

    public static int compareIgnoreCase(java.lang.String aStr1,
                                        int aStartIdx1,
                                        java.lang.String aStr2)

대소문자 구별없이, 두 문자열을 비교한다.

Parameters:
  `aStr1` - 문자열 1
  `aStartIdx1` - aStr1에서 비교를 시작할 위치(0 base)
  `aStr2` - 문자열 2
Returns:
  같으면 0, aStr1이 크거나 aStr2를 모두 포함하면서 길면 양수, 아니면 음수

#### compareIgnoreCase

    public static int compareIgnoreCase(java.lang.String aStr1,
                                        int aStartIdx1,
                                        java.lang.String aStr2,
                                        int aStartIdx2,
                                        int aLength)

대소문자 구별없이, 두 문자열을 비교한다.

Parameters:
  `aStr1` - 문자열 1
  `aStartIdx1` - aStr1에서 비교를 시작할 위치(0 base)
  `aStr2` - 문자열 2
  `aStartIdx2` - aStr2에서 비교를 시작할 위치(0 base)
  `aLength` - 비교할 길이
Returns:
  같으면 0, aStr1이 크면 양수, 아니면 음수

#### validateFilePath

    public static java.lang.String validateFilePath(java.lang.String aFilePath)